Munin::Master::Worker(3)

NAME
Munin::Master::Worker - Abstract base class for workers.

SYNOPSIS
See Munin::Master::ProcessManager.

METHODS

new
      Munin::Master::Worker->new($identity);

    Constructor. This is an abstract class, so this shouldn't be called directly.

    The optional $identity argument should be a unique identifier for the process.

to_string
      print $worker->string;

      # Stringifies too
      print "Worker $worker just died";

    Returns a unique string representation of the worker.